Subject: bug#36264: shepherd doesn't capture service stdout/stderr

From: Gábor Boskovits <[email-masked]>
Date: Mon, 17 Jun 2019 20:49:41 +0200

Hello guix,

Robert Vollmert <[email-masked]> ezt írta (időpont: 2019. jún. 17., Hét
18:55):

> On a pretty fresh Guix System install, I see some regular
> sshd error messages on tty1 (which I guess means they’re
> written to /dev/console). Also, setting up a regular
> shepherd service via make-forkexec-constructor for a
> program that logs to stderr (postgrest which I’m in the
> process of packaging), all output goes to tty1.
>

This is also on my todo list for a while, so I can provide some additional
information. I noticed this on two services I was using:
ntp-service-type with default config and
prometheus-node-exporter-service-type with default config. I hope that
helps somewheat.

> Compare the discussion at
>
> https://lists.gnu.org/archive/html/guix-devel/2019-06/msg00186.html

Best regards,
g_bor